Installation
============

This program requires GTK+ 2.6.0 or higher to be compiled.

Build it
========

Please make sure that gtk-devel and glib-devel (or similar) packages are
installed before the compilation (you may also require flex (lex) and bison
(yacc)).

To compile and install, just type:

% ./configure
% make
% su
Password: [Enter password]
# make install

To run, just type:

% claws-mail

Additional libraries
====================
only needed if you require the additional functionality

Aspell (>= 0.50) (and dictionaries)
    for spell-checker support
    http://aspell.sourceforge.net/
compface
    for X-Face support
    http://freshmeat.net/projects/compface/
Dillo (>= 0.7.0)
    for Dillo HTML viewer plugin support
    http://www.dillo.org/
GnuPG (>= 1.2.1) and GPGME (>=  0.4.5)
    for GnuPG plugin support
    http://www.gnupg.org/
    ftp://ftp.gnupg.org/gcrypt/gpgme/
J-Pilot
    for J-Pilot support
    http://www.jpilot.org/
libEtPan! (>= 0.52)
    for IMAP4 support
    http://www.etpan.org
libgnomeprint (>= 2.2)
    for extended printing support
    http://www.gnome.org
OpenLDAP (>= 2.0.7)
    for LDAP support
    http://www.openldap.org/
OpenSSL (>= 0.9.7)
    for SSL support
    http://www.openssl.org/
SpamAssassin
    for SpamAssassin plugin support
    http://spamassassin.apache.org/

Options for configure script
============================
Most options are automatically enabled if the dependencies
are matched.

  --with-config-dir=RCDIR      	    local config dir (default: ~/.claws-mail)
  --disable-compface  		    disable compface (X-Face) support
  --disable-ipv6      		    disable IPv6 support
  --disable-openssl    		    disable OpenSSL support
  --disable-libetpan		    disable IMAP4 support
  --disable-gnomeprint		    disable libgnomeprint support
  --disable-aspell     		    disable GNU/aspell support
  --disable-ldap       		    disable LDAP support
  --disable-jpilot     		    disable JPilot support
  --enable-crash-dialog   	    enable crash dialog
  --disable-startup-notification    disable startup notification support
  --disable-trayicon-plugin         do not build System Tray Icon plugin
  --enable-spamassassin-plugin      build SpamAssassin plugin
  --disable-pgpcore-plugin	    do not build PGP/Core plugin
  --disable-pgpmime-plugin          do not build PGP/MIME plugin
  --disable-pgpinline-plugin        do not build PGP/Inline plugin
  --disable-dillo-viewer-plugin     do not build Dillo plugin
 
For other options, refer to ./configure --help .


